/*!
  \file
  \brief ラベル

  \author Satofumi KAMIMURA

  $Id: master_Label.cpp 940 2009-05-29 21:56:03Z satofumi $
*/

#include "master_Label.h"


using namespace qrk;
using namespace sync_master;


struct Label::pImpl
{
  // !!!


  pImpl(Surface& surface)
  {
    static_cast<void>(surface);
    // !!!
  }
};


Label::Label(Surface& surface) : pimpl(new pImpl(surface))
{
}


Label::~Label(void)
{
}


Rect<long> Label::rect(void) const
{
  Rect<long> dummy;
  // !!!
  return dummy;
}


void Label::setEventAcceptable(bool acceptable)
{
  static_cast<void>(acceptable);
  // !!!
}


void Label::setAlpha(float alpha)
{
  static_cast<void>(alpha);
  // !!!
}


void Label::draw(const Rect<long>& area)
{
  static_cast<void>(area);
  // !!!
}
